Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.schema.v1
Class PersonTypeLight

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.schema.v1.PersonTypeLight

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-06-27T08:07:31+02:00",
               comments="JAXB RI v2.2.11")
    public class PersonTypeLight

extends Object
implements Serializable

Java class for personTypeLight complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="personTypeLight">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-PATIENT" maxOccurs="unbounded"/>
             <element name="firstname" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="familyname" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="address" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}addressType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="telecom" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}telecomType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`PersonTypeLight()`

Method Summary
`List<AddressType>` | `getAddresses()` Gets the value of the addresses property.
`String` | `getFamilyname()` Gets the value of the familyname property.
`List<String>` | `getFirstnames()` Gets the value of the firstnames property.
`List<IDPATIENT>` | `getIds()` Gets the value of the ids property.
`List<TelecomType>` | `getTelecoms()` Gets the value of the telecoms property.
`void` | `setFamilyname(String value)` Sets the value of the familyname property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersonTypeLight

    public PersonTypeLight()

Method Detail

### getIds

    public List<IDPATIENT> getIds()

  Gets the value of the ids property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

  For example, to add a new item, do as follows:

          getIds().add(newItem);

  Objects of the following type(s) are allowed in the list `IDPATIENT`

### getFirstnames

    public List<String> getFirstnames()

  Gets the value of the firstnames property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the firstnames property.

  For example, to add a new item, do as follows:

          getFirstnames().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

### getFamilyname

    public String getFamilyname()

  Gets the value of the familyname property.

  Returns:
    possible object is `String`

### setFamilyname

    public void setFamilyname(String value)

  Sets the value of the familyname property.

  Parameters:
    `value` - allowed object is `String`

### getAddresses

    public List<AddressType> getAddresses()

  Gets the value of the addresses property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the addresses property.

  For example, to add a new item, do as follows:

          getAddresses().add(newItem);

  Objects of the following type(s) are allowed in the list `AddressType`

### getTelecoms

    public List<TelecomType> getTelecoms()

  Gets the value of the telecoms property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the telecoms property.

  For example, to add a new item, do as follows:

          getTelecoms().add(newItem);

  Objects of the following type(s) are allowed in the list `TelecomType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.